### Method

# Ide LspService set_program

#### Declaration

    void
    ide_lsp_service_set_program (
      IdeLspService* self,
      const char* program
    )

#### Description

No description available.

Sets property | `Ide.LspService:program`

#### Parameters

`program` | `const char*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.